LibreOffice: OpenCommandArgument Struct Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
OpenCommandArgument Struct Referencepublished

The argument for commands like "open", "update", and "synchronize". More...

`import"OpenCommandArgument.idl";`

Inheritance diagram for OpenCommandArgument:

## Public Attributes
long | Mode
| A mode. More...
long | Priority
| The command's priority, in the range `0` (highest) to `65535` (lowest). More...
com::sun::star::uno::XInterface | Sink
| The data sink to write the contents into (supporting either com::sun::star::io::XActiveDataSink, com::sun::star::io::XOutputStream or com::sun::star::io::XActiveDataStreamer). More...
sequence< com::sun::star::beans::Property > | Properties
| The properties, for that the values shall be provided by the DynamicResultSet returned by the command). More...

## Detailed Description

The argument for commands like "open", "update", and "synchronize".

See also
  XCommandProcessor

## Member Data Documentation

long Mode

A mode.

The value can be one of the OpenMode constants.

long Priority

The command's priority, in the range `0` (highest) to `65535` (lowest).

sequence< com::sun::star::beans::Property > Properties

The properties, for that the values shall be provided by the DynamicResultSet returned by the command).

com::sun::star::uno::XInterface Sink

The data sink to write the contents into (supporting either com::sun::star::io::XActiveDataSink, com::sun::star::io::XOutputStream or com::sun::star::io::XActiveDataStreamer).

XActiveDataSink and XOutputStream give the caller read-only access to the contents. XActiveDataStreamer offers both read and write access to the contents.

If an XActiveDataSink is supplied, the implementation of the command needs to provide an implementation of an object implementing the interface com::sun::star::io::XInputStream. It is highly recommended that this object also implements the interface com::sun::star::io::XSeekable, if this can be done without wasting resources (i.e. allocating huge memory buffers). The implementation object has to be supplied to the data sink.

The documentation for this struct was generated from the following file:

- com/sun/star/ucb/OpenCommandArgument.idl